Loading...
Searching...
No Matches
Opm::GuideRateConfig Class Reference

## Classes

struct | WellTarget
struct | GroupProdTarget
struct | GroupInjTarget

## Public Member Functions

const GuideRateModel & | model () const
bool | has_model () const
bool | update_model (const GuideRateModel &model)
void | update_well (const Well &well)
void | update_injection_group (const std::string &group_name, const Group::GroupInjectionProperties &properties)
void | update_production_group (const Group &group)
const WellTarget & | well (const std::string &well) const
const GroupProdTarget & | production_group (const std::string &group) const
const GroupInjTarget & | injection_group (const Phase &phase, const std::string &group) const
bool | has_well (const std::string &well) const
bool | has_injection_group (const Phase &phase, const std::string &group) const
bool | has_production_group (const std::string &group) const
bool | operator== (const GuideRateConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static GuideRateConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Group/GuideRateConfig.hpp
- opm/input/eclipse/Schedule/Group/GuideRateConfig.cpp